using Microsoft.AspNetCore.Identity.Data;
using Microsoft.OpenApi.Any;
using Microsoft.OpenApi.Models;
using Swashbuckle.AspNetCore.SwaggerGen;

namespace HackathonPreparing.ApiService.Features.AuthFeature;

public class UserOpenApiSchemeFilter : ISchemaFilter
{
    public void Apply(OpenApiSchema schema, SchemaFilterContext context)
    {
        if (context.Type == typeof(LoginRequest))
        {
            schema.Example = new OpenApiObject()
            {
                ["email"] = new OpenApiString("m@gmail.com"),
                ["password"] = new OpenApiString("PassPass123_"),
            };
        }
        
        if (context.Type == typeof(RegisterRequest))
        {
            schema.Example = new OpenApiObject()
            {
                ["email"] = new OpenApiString("email@gmail.com"),
                ["password"] = new OpenApiString("PassPass123_"),
            };
        }
    }
}